/*
 * com/ngon/tap/Taps.java
 * Victor Liu > mailto:victor@n-gon.com
 *
 * Copyright (C) 2004 Victor Liu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. 
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.ngon.tap;

import java.util.Vector;

/**
 * class Taps
 */
class Taps extends Vector {
    int discardCount = 0;
    
    /* 
     * Previously, this method was named removeElementAt() 
     * to override that method in Vector,
     * but in JDK 1.1 that method is final, so change name. 
     */
    public void killTap(int index) {
        killClip(index);
        Tap tap = (Tap) elementAt(index);
        tap.clus.blocks = null;
        tap.clus = null;
        super.removeElementAt(index);
        discardCount++;
    }
    
    public void killClip(int index) {
        Tap tap = (Tap) elementAt(index);
        if (tap.clus != null && tap.clus.clip != null) {
            tap.clus.clip.kill();
            tap.clus.clip = null;
        }
    }
}
